<template>
  
  <div class="container">

    <table>
      <thead>
        <tr>
            <th>TIPO</th>
            <th>OPÇÕES</th>
        </tr>
    </thead>

      <tbody>
          <tr v-for="tipos of tipo" :key="tipos.id">

            <td> {{ tipos.descricao }} </td>
            <td>
              <button class="waves-effect btn-small blue darken-1"><i class="material-icons">create</i></button>
              <button class="waves-effect btn-small red darken-1"><i class="material-icons">delete_sweep</i></button>
            </td>

          </tr>
      </tbody>
    </table>
    
</div>

</template>

<script>

import Header from '../Header/Header'

import tipo from '../../service/tipos'

export default {

  components: { Header },

  data(){
    return {
      tipo: []
    }
  },

  mounted(){
    tipo.listar().then(resposta => {
      console.log(resposta.data)
      this.tipo = resposta.data
    })
  }
}

</script>